> ## Documentation Index
> Fetch the complete documentation index at: https://cognitio-agent.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update project

> Update project properties such as name, icon, and commands.



## OpenAPI

````yaml /openapi.json patch /project/{projectID}
openapi: 3.1.1
info:
  title: cognitio
  description: cognitio api
  version: 1.0.0
servers: []
security: []
paths:
  /project/{projectID}:
    patch:
      summary: Update project
      description: Update project properties such as name, icon, and commands.
      operationId: project.update
      parameters:
        - in: query
          name: directory
          schema:
            type: string
        - in: query
          name: workspace
          schema:
            type: string
        - in: path
          name: projectID
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                icon:
                  type: object
                  properties:
                    url:
                      type: string
                    override:
                      type: string
                    color:
                      type: string
                commands:
                  type: object
                  properties:
                    start:
                      description: >-
                        Startup script to run when creating a new workspace
                        (worktree)
                      type: string
      responses:
        '200':
          description: Updated project information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Project'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
      x-codeSamples:
        - lang: js
          source: |-
            import { createCognitioClient } from "@cognitio/sdk

            const client = createCognitioClient()
            await client.project.update({
              ...
            })
components:
  schemas:
    Project:
      type: object
      properties:
        id:
          type: string
        worktree:
          type: string
        vcs:
          type: string
          const: git
        name:
          type: string
        icon:
          type: object
          properties:
            url:
              type: string
            override:
              type: string
            color:
              type: string
        commands:
          type: object
          properties:
            start:
              description: Startup script to run when creating a new workspace (worktree)
              type: string
        time:
          type: object
          properties:
            created:
              type: number
            updated:
              type: number
            initialized:
              type: number
          required:
            - created
            - updated
        sandboxes:
          type: array
          items:
            type: string
      required:
        - id
        - worktree
        - time
        - sandboxes
    BadRequestError:
      type: object
      properties:
        data: {}
        errors:
          type: array
          items:
            type: object
            propertyNames:
              type: string
            additionalProperties: {}
        success:
          type: boolean
          const: false
      required:
        - data
        - errors
        - success
    NotFoundError:
      type: object
      properties:
        name:
          type: string
          const: NotFoundError
        data:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - name
        - data

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.